using System;
using System.Net;

internal sealed class Delegate592 : MulticastDelegate
{
	public extern IPAddress Invoke(string string_0);

	public static IPAddress smethod_0(string string_0, Delegate592 delegate592_1)
	{
		return delegate592_1(string_0);
	}

	public extern Delegate592(object object_0, IntPtr intptr_0);

	static Delegate592()
	{
		Class10.smethod_13(typeof(Delegate592).TypeHandle);
	}

	internal static Delegate592 delegate592_0;
}
